#if !defined(AFX_BLASTERVIEW_H__62FB826D_F348_11D1_82DF_FCD070D9A530__INCLUDED_)
#define AFX_BLASTERVIEW_H__62FB826D_F348_11D1_82DF_FCD070D9A530__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif

class CBlasterView : public CScrollView
{
protected:
	CBlasterView();
	DECLARE_DYNCREATE(CBlasterView)

public:
	CBlasterDoc* GetDocument();

	//{{AFX_VIRTUAL(CBlasterView)
	public:
	virtual void OnDraw(CDC* pDC);  
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	virtual BOOL Create(LPCTSTR lpszClassName, LPCTSTR lpszWindowName, DWORD dwStyle, const RECT& rect, CWnd* pParentWnd, UINT nID, CCreateContext* pContext = NULL);
	virtual BOOL DestroyWindow();
	protected:
	virtual void OnActivateView(BOOL bActivate, CView* pActivateView, CView* pDeactiveView);
	virtual void OnUpdate(CView* pSender, LPARAM lHint, CObject* pHint);
	virtual BOOL OnScrollBy(CSize sizeScroll, BOOL bDoScroll = TRUE);
	//}}AFX_VIRTUAL

public:
	void SurfaceToClient(CPoint &point, class cSurface *surface, CPoint &s);
	void ClientToSurface(CPoint &point, cSurface *surface, CPoint &s);
	void ScrollTo(int x, int y);
	virtual ~CBlasterView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:
	//{{AFX_MSG(CBlasterView)
	afx_msg void OnKeyDown(UINT nChar, UINT nRepCnt, UINT nFlags);
	afx_msg BOOL OnSetCursor(CWnd* pWnd, UINT nHitTest, UINT message);
	afx_msg BOOL OnEraseBkgnd(CDC* pDC);
	afx_msg void OnNewObject();
	afx_msg void OnScrollUp();
	afx_msg void OnScrollDown();
	afx_msg void OnPageDown();
	afx_msg void OnPageUp();
	afx_msg void OnScrollEnd();
	afx_msg void OnScrollHome();
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	afx_msg void OnDelete();
	afx_msg void OnEditSnaptogrid();
	afx_msg void OnUpdateEditSnaptogrid(CCmdUI* pCmdUI);
	afx_msg void OnScrollLeft();
	afx_msg void OnScrollRight();
	afx_msg void OnRButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnContext0();
	afx_msg void OnContext1();
	afx_msg void OnContext2();
	afx_msg void OnContext3();
	afx_msg void OnContext4();
	afx_msg void OnContext5();
	afx_msg void OnContext6();
	afx_msg void OnUpdateDelete(CCmdUI* pCmdUI);
	afx_msg void OnUpdateEditCopy(CCmdUI* pCmdUI);
	afx_msg void OnUpdateEditCut(CCmdUI* pCmdUI);
	afx_msg void OnUpdateEditPaste(CCmdUI* pCmdUI);
	afx_msg void OnEditCopy();
	afx_msg void OnEditCut();
	afx_msg void OnEditPaste();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG
inline CBlasterDoc* CBlasterView::GetDocument()
   { return (CBlasterDoc*)m_pDocument; }
#endif

//{{AFX_INSERT_LOCATION}}

#endif
